/**
 * @package     Sprinix_EstimateDate
 * @copyright   Copyright (c) 2023 Sprinix Technolabs pvt Ltd.. (https://www.sprinix.com)
 */

define(['jquery', 'uiComponent', 'mage/translate'], function ($, Component) {
    'use strict';
    return Component.extend({
        initialize: function () {
            this._super();
            let data = $("#delivery").html();
            if (data) {
                data = JSON.parse(data);
            }
            $('[data-role=swatch-options]').on('change', function() {
                if (! $.mage.SwatchRenderer) {
                    return;
                }
                let productId = $(this).SwatchRenderer('getProduct');
                $('#deliveryDate').html(data[productId]);
            });
        },
    });
    }
);
