<?php

/**
 * @package     Sprinix_EstimateDate
 * @copyright   Copyright (c) 2023 Sprinix Technolabs pvt Ltd.. (https://www.sprinix.com)
 */
namespace Sprinix\EstimateDate\Model\Config;
use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class SelectFormat
 * @package Sprinix\EstimateDate\Model\Config
 */
class SelectFormat implements OptionSourceInterface
{
    /**
     * @return array
     */
    public function toOptionArray()
    {
        return [
            ['value' => "DMY", 'label' => __('DD/MM/YYYY')],
            ['value' => "YMD", 'label' => __('YYYY/MM/DD')]
        ];
    }
}
