<?php

/**
 * @package     Sprinix_EstimateDate
 * @copyright   Copyright (c) 2023 Sprinix Technolabs pvt Ltd.. (https://www.sprinix.com)
 */
namespace Sprinix\EstimateDate\Model\Config\Source;
use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class PageAccess
 * @package Sprinix\EstimateDate\Model\Config\Source
 */
class PageAccess implements OptionSourceInterface
{
    /**
     * @return array
     */
    public function toOptionArray()
    {
        return [
            ['value' => 'Product',      'label' => __('Product Details Page')],
            ['value' => 'Cart',         'label' => __('Shopping Cart Page ')],
            ['value' => 'Checkout',     'label' => __('Checkout Page')],
            ['value' => 'Success',      'label' => __('Order Success Page ')],
            ['value' => 'Customer',     'label' => __('Customer Order Details Page ')],
            ['value' => 'Admin',        'label' => __('Admin Order Details Page ')]
        ];
    }
}

